# Журнал изменений

Все заметные изменения в этом проекте будут документироваться в этом файле.

Формат основан на [Keep a Changelog](https://keepachangelog.com/ru/1.0.0/), и проект соответствует [Семантическому Версионированию](https://semver.org/lang/ru/).

## [0.2] - 2024-11-13

### Добавлено

- **PlayerActions**:
    - **Команда самоубийства**:
        - Добавлена команда `/suicide`, которая запрашивает подтверждение перед выполнением.
        - Игроки могут подтвердить действие, нажав на интерактивное сообщение или введя `/suicide confirm`.
        - После подтверждения игрок мгновенно умирает, а окно чата или консоли закрывается для предотвращения дальнейшего взаимодействия.

## [0.1] - 2024-11-10

### Добавлено

- **PlayerList**:
    - **Блокировка сообщения о входе**:
        - Добавлен миксин для класса `PlayerList` для предотвращения отправки сообщений о входе при подключении игрока к серверу.

- **ServerGamePacketListenerImpl**:
    - **Блокировка сообщения о выходе**:
        - Добавлен миксин для класса `ServerGamePacketListenerImpl` для предотвращения отправки сообщений о выходе при отключении игрока от сервера.
